View Issue Details

IDProjectCategoryView StatusLast Update
0001076PluginsTemporary panelpublic2009-11-16 19:11
ReporterNightRomanAssigned ToDrKnS 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version2.0 
Summary0001076: Не копируются файлы на временную панель
Description
Someone wrote


drkns 27.09.2009 01:05:56 +0200 - build 1145
2. Свершилось то, о чём так долго говорили большевики - far не использует SetCurrentDirectory при навигации по папкам.
...
Посему некоторые нерадивые плагины могут разнообразно глючить.


Нерадивым плагином, возможно, оказалась временная панель. Симптомы: идем в какую-нибудь папку на активной панели, на пассивной открываем временную панель и с активной файловой на пассивную временную копируем какие-нибудь файлы (F5) - не копируется. Если же, например, плагином PowerShellFar командой

>: [Environment]::CurrentDirectory = $Far.Panel.Path

.. выставляем текущей папкой процесса путь активной панели, то копир на временную панель начинает работать.
TagsNo tags attached.

Activities

NightRoman

2009-10-12 13:10

reporter   bugnote:0004240

1160
Файлы начали копироваться на панель. "Мой" баг как бы закрыт. К сожалению, я не активный пользователь временной панели, чтобы пробежаться по ее фичам и убедится наверняка, что это был правильный фикс.

JohnDoe

2009-10-12 17:02

updater   bugnote:0004241

Префикс tmp: всё ещё не работает с относительными путями

DrKnS

2009-10-12 19:35

administrator   bugnote:0004245

> убедится наверняка, что это был правильный фикс.

Это был очень неправильный фикс. Сделано пока в стиле "чтобы собиралось и хотя бы не падало".
Надо пересмотреть код и сделать правильно.

NightRoman

2009-10-12 20:13

reporter   bugnote:0004246

Last edited: 2009-10-12 20:14

View 2 revisions

Хорошо, раз так, я пере-открою тикет для порядка, чтобы не забылся. Но как я уже сказал, сам я временную панель практически не использую, следить за судьбой тикета не берусь, дело не в "лени" тут.

DrKnS

2009-11-16 18:52

administrator   bugnote:0004547

Это вроде починили уже, не?

NightRoman

2009-11-16 19:09

reporter   bugnote:0004548

DrKnS:
То есть теперь уже "правильный фикс"? Мне надо закрыть тикет?

Issue History

Date Modified Username Field Change
2009-09-29 12:45 NightRoman New Issue
2009-10-12 13:10 NightRoman Note Added: 0004240
2009-10-12 13:11 NightRoman Status new => resolved
2009-10-12 13:11 NightRoman Resolution open => fixed
2009-10-12 13:11 NightRoman Assigned To => NightRoman
2009-10-12 13:11 NightRoman Assigned To NightRoman =>
2009-10-12 17:02 JohnDoe Note Added: 0004241
2009-10-12 19:35 DrKnS Note Added: 0004245
2009-10-12 20:13 NightRoman Note Added: 0004246
2009-10-12 20:13 NightRoman Status resolved => new
2009-10-12 20:13 NightRoman Resolution fixed => reopened
2009-10-12 20:14 NightRoman Note Edited: 0004246 View Revisions
2009-10-27 00:47 alexy Assigned To => DrKnS
2009-10-27 00:47 alexy Status new => assigned
2009-11-16 18:52 DrKnS Note Added: 0004547
2009-11-16 19:09 NightRoman Note Added: 0004548
2009-11-16 19:11 DrKnS Status assigned => closed
2009-11-16 19:11 DrKnS Fixed in Version => 2.0
2009-11-16 19:11 DrKnS Resolution reopened => fixed